<%@ page language="java" import="com.medias.Context" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<HTML>
<HEAD>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">

    <title><tiles:getAsString name="title"/></title>
    <link rel="shortcut icon" href="<html:rewrite page='/resources/images/megapoli/favicon.ico'/>">

    <ether:htmlCss cssFile="apycom.com-4-steel-blue/menu"/>
    <ether:htmlCss cssFile="complexButton"/>
    <ether:htmlCss cssFile="TwitterLogin/front"/>
    <ether:htmlCss cssFile="etherApple"/>
    <ether:htmlCss cssFile="megapoliApple"/>

    <ether:htmlJs jsFile="library/jquery-1.4.2.min"/>
    <ether:htmlJs jsFile="library/jquery.class"/>
    <ether:htmlJs jsFile="library/jquery.protify-0.3"/>
    <ether:htmlJs jsFile="Request"/>
    <ether:htmlJs jsFile="etherHelper"/>
    <ether:htmlJs jsFile="classesForJQuery/ComplexButton"/>
    <ether:htmlJs jsFile="classesForJQuery/Slide"/>
    <ether:htmlJs jsFile="apycom.com-4-steel-blue/menu"/>
    <ether:htmlJs jsFile="TwitterLogin/javascripts/jquery.tipsy"/>

    <ether:htmlResourceJsp jspFile="apple_etherHead"/>

    <tiles:insert attribute="insertCss"/>
    <tiles:insert attribute="insertJsOrJsp"/>
</HEAD>

<BODY>

<bean:define type="java.lang.String" id="lastModified" value="<%=Context.getLastModified(request, application)%>"/>
<bean:define type="java.lang.String" id="webmaster" value="<%=Context.getWebmaster(request)%>"/>

<bean:define id="upload" value="upload"/>
<bean:define id="access" value="access"/>

<%-- ************************************************************************************************************** --%>
<%-- *************************************************** LOGO ETHER *********************************************** --%>
<%-- ************************************************************************************************************** --%>
<div id="linkLogoEther" class="containerLinkLogoEther"></div>

<div id="logoEther" class="containerLogoEther">
    <html:link href="http://ether.ipsl.jussieu.fr" target="help"><img src="resources/images/logo_Ether.jpg" width="80px" height="80px"/></html:link>
</div>

<%-- ************************************************************************************************************** --%>
<%-- **************************************************** WRAPPER ************************************************* --%>
<%-- ************************************************************************************************************** --%>
<div class="pageWrapper">

    <%-- ****************** TITLE & TOOLS ****************** --%>
    <div id="title_tools" class="containerMegapoli">
        <div id="title"></div>

        <div id="tools" align="right">
            <fieldset id="signin_menu">
                <html:form action="/LogonAccess">
                    <label for="username"><bean:message key="data.authentification.login"/></label>
                    <input id="login" name="login" tabindex="4" type="text">

                    <label for="password"><bean:message key="data.authentification.pwd"/></label>
                    <input id="pwd" name="pwd" tabindex="5" type="password">

                    <p class="remember">
                        <input id="signin_submit" value="Sign in" tabindex="6" type="submit">
                    </p>

                    <p class="forgot">
                        <a id="resend_password_link" href="mailto:${webmaster}?subject=[MEGAPOLI] password"><bean:message key="data.authentification.pwdForget"/></a>
                    </p>

                    <p class="forgot-username">
                        <a id=forgot_username_link href="mailto:${webmaster}?subject=[MEGAPOLI] login" title='<bean:message key="data.authentification.loginForget.help"/>'><bean:message key="data.authentification.loginForget"/></a>
                    </p>
                </html:form>
            </fieldset>
        </div>

    </div>

    <%-- ****************** LOGO ****************** --%>
    <div id="logo" class="containerLogo">
        <html:link href="http://megapoli.dmi.dk/" target="help" titleKey="app.linkmegapoli">
            <html:img page="/resources/images/logo_Megapoli_white.png" height="110px" width="110px" altKey="app.home"/>
        </html:link>
    </div>

    <%-- ****************** NAV ****************** --%>
    <div id="nav" class="containerNav"><tiles:insert attribute="nav"/></div>

    <%-- ****************** MENU ****************** --%>
    <div id="menu" class="containerMenu">
        <ul class="menu">
            <li>
                <html:link page="/data/access/access.jsp" paramName="access" paramId="source">
                    <span><bean:message key="data.access"/></span>
                </html:link>
                <div>
                    <ul>
                        <li><html:link page="/JeuxAccess.do"><span><bean:message key="data.access.jeux"/></span></html:link></li>
                        <li><html:link page="/ParametresAccess.do"><span><bean:message key="data.access.param"/></span></html:link>
                        </li>
                        <li><html:link page="/CapteursAccess.do"><span><bean:message key="data.access.capt"/></span></html:link></li>
                        <li><html:link page="/PlateformesAccess.do"><span><bean:message key="data.access.plat"/></span></html:link>
                        </li>
                    </ul>
                </div>
            </li>

            <li>
                <html:link page="/data/access/access.jsp" paramName="access" paramId="source">
                    <span><bean:message key="app.data"/></span>
                </html:link>
                <div>
                    <ul>
                        <logic:notPresent name="SES_USER" scope="session">
                            <li><html:link page="/InitLogonAccess.do" paramName="access" paramId="source"><span><bean:message key="data.access.extract.short"/></span></html:link>
                            </li>
                            <li><html:link page="/InitLogon.do" paramName="upload" paramId="source"><span><bean:message key="data.upload.short"/></span></html:link></li>
                        </logic:notPresent>
                        <logic:present name="SES_USER" scope="session">
                            <li><html:link page="/DataAccess.do"><span><bean:message key="data.access.extract.short"/></span></html:link></li>
                            <li><html:link page="/PrepareTree.do"><span><bean:message key="data.upload.short"/></span></html:link></li>
                        </logic:present>
                    </ul>
                </div>
            </li>

            <li class="last">
                <html:link page="/visualization?methodName=view">
                    <span><bean:message key="all.visualization"/></span>
                </html:link>
                <div>
                    <ul>
                        <li><html:link page="/visualization?methodName=viewParametersByPlateform"><span><bean:message key="data.visualization"/></span></html:link></li>
                        <li><html:link page="/visualization/inWork.jsp"><span><bean:message key="simulation.visualization"/></span></html:link></li>
                    </ul>
                </div>
            </li>

        </ul>
    </div>

    <%-- ****************** TITLE CONTENT ****************** --%>
    <div id="titleContent" class="containerTitleContent"><tiles:insert attribute="bodytitle"/>
        <div id="titleContentBorder" class="containerTitleContentBorder"></div>
    </div>

    <%-- ****************** CONTENT ****************** --%>
    <div id="containerCenter" class="containerMegapoli containerCenter">
        <tiles:insert attribute="body"/>
    </div>

    <%-- ****************** BOTTOM ****************** --%>
    <div id="containerBottom" class="containerMegapoli containerBottom" align="right">
        &copy; 2010-2011 <html:link href="http://ether.ipsl.jussieu.fr" target="help">ETHER&nbsp;</html:link>/ CNRS
        <%--<td align="center"><bean:message key="app.infonavig"/></td>--%>
        <%--<td align="right"><i><bean:message key="app.lastModified"/> : <bean:write name="lastModified"/></i></td>--%>
    </div>

</div>

<%-- ************************************************************************************************************** --%>
<%-- **************************************************** SLIDES ************************************************** --%>
<%-- ************************************************************************************************************** --%>
<div id="creditSlide" class="containerSlide"></div>
<div id="mentionSlide" class="containerSlide"></div>
<div id="infoSlide" class="containerSlide"></div>

<script type="text/javascript">
    var interfaceTexts = $A( "" );
    interfaceTexts["app.home"] = '<bean:message key="app.home"/>';
    interfaceTexts["app.fulltitle"] = '<bean:message key="app.fulltitle"/>';
    interfaceTexts["app.en"] = '<bean:message key="app.en"/>';
    interfaceTexts["app.fr"] = '<bean:message key="app.fr"/>';
    interfaceTexts["app.connexion"] = '<bean:message key="app.connexion"/>';
    interfaceTexts["data.upload.metadata.contact.mail"] = '<bean:message key="data.upload.metadata.contact.mail"/>';
    interfaceTexts["app.admin"] = '<bean:message key="app.admin"/>';

    var interfaceTemplate = new InterfaceTemplate();
</script>

<div style="visibility:hidden"><a href="http://apycom.com/">Apycom jQuery Menus</a></div>

</BODY>
</HTML>
